.task {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  width: calc(1rem * 37.5);
  height: calc(1rem * 7.2);
  background-color: $color-floral-white;
  -webkit-box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.21);
  -moz-box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.21);
  padding-top: calc((1rem * 1.6) / 2.6);
  padding-bottom: calc((1rem * 1.6) / 3.6);
  padding-left: calc((1rem * 1.6) / 1.6);
  padding-right: calc((1rem * 1.6) / 1.6);
  box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.21);

  &__content {
    margin-right: calc((1rem * 1.6) / 1.6); 
  }

  .task-title {
    display: flex;
    flex-direction: column;
    line-height: calc(1rem * 1.6);
    margin-top: 0;
    margin-left: calc((1rem * 1.6) / 1.6);
    margin-bottom: calc((1rem * 1.6) / 2.6);

    &__content {
      font-size: calc(1rem * 1.50);
    }
    &__subtitle {
      font-size: calc(1rem * 0.75);
      color: $color-languid-lavander;
    }
  }

  &__icon {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: calc(1rem * 6.0);
    height: calc(1rem * 6.0);
    flex-shrink: 0;
    border-radius: 100px;
    background-color: white;
    margin-left: calc((1rem * 1.3) / 1.6);
    margin-right: calc((1rem * 1.3) / 1.6);
    -webkit-box-shadow: inset 1px 1px 8px 1px rgba(0,0,0,0.21);
    -moz-box-shadow: inset 1px 1px 8px 1px rgba(0,0,0,0.21);
    box-shadow: inset 1px 1px 8px 1px rgba(0,0,0,0.21);

    .icon {
      position: relative;
      width: 68.5%;
      height: 68.5%;
    }
  }

  &__body {
    width: calc(1rem * 18.0);
    font-size: calc(1rem * 0.75);
    margin-top: calc((1rem * 1.2) / 1.6);
    margin-left: calc((1rem * 1.6) / 1.6);
    line-height: calc(1rem * 1.2);
  }
  
  &__buttons {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    width: calc(1rem * 14.7);
    height: 100%;
    margin-right: calc((1rem * 1.6) / 1.6);

    .button {
      width: calc(1rem * 3.2);
      height: calc(1rem * 3.2);
      padding: calc(1rem * 0.4);
    }
    .contributor {
      position: absolute;
      width: calc(1rem * 5.2);
      height: calc(1rem * 7.5);
      right: 0;
      top: calc(1rem * -0.75);
      transition: background-position 0.2s 0s cubic-bezier(.17,.59,.35,1.17);

      background-position: center -40px;
      background-repeat: no-repeat;
      background-size: contain;
      background-image: url("../../../icons/attribute_close.svg"); 

      cursor: pointer;

      &:hover {
        background-position: center -25px;
      }

      &--active {
        background-position: center 0px;
        background-image: url("../../../icons/attribute_open.svg"); 

        &:hover {
          background-position: center 0px;
        }
      }
    }
  }

  &--Brouillon {
    .contributor {
      display: none;
    }
    .task__buttons {
      flex-direction: row-reverse;
    }
  }
}
